package com.mmc.iuav.user.enums;

/**
 * @author 作者 LW
 * @version 创建时间：2023.8.26 10:56
 * @explain 类说明
 */
public enum XzEnums {
    submit_result("submitResult", "上报结果通知"), trade_result("tradeResult", "交易结果通知"),
    await("await", "待发放（交易排队中-过渡状态）"), handle("handle", "交易中"), success("success", "交易成功"),
    failure("failure", "交易失败"), is_success("isSuccess", "交易是否成功"), T("T", "回调code");

    private String code;
    private String name;

    XzEnums(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }
}
